## dune-grid 2.3.1

=== CMakeLists.txt ===
# set up project
project("dune-grid" C CXX)

# general stuff
cmake_minimum_required(VERSION 2.8.6)

if(NOT (dune-common_DIR OR dune-common_ROOT OR
        "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))
    string(REPLACE  ${CMAKE_PROJECT_NAME} dune-common dune-common_DIR
      ${PROJECT_BINARY_DIR})
endif()

#find dune-common and set the module path
find_package(dune-common REQUIRED)
list(APPEND CMAKE_MODULE_PATH ${dune-common_MODULE_PATH}
  "${PROJECT_SOURCE_DIR}/cmake/modules")

#include the dune macros
include(DuneMacros)

# start a dune project with information from dune.module
dune_project()

add_subdirectory("m4")
add_subdirectory("dune")
add_subdirectory("doc")
add_subdirectory("lib")
add_subdirectory("src")
add_subdirectory("cmake/modules")

# finalize the dune project, e.g. generating config.h etc.
finalize_dune_project(GENERATE_CONFIG_H_CMAKE)

=== lib/CMakeLists.txt ===

set(ALULIBS _DUNE_TARGET_OBJECTS:alu2d_ _DUNE_TARGET_OBJECTS:alu3d_)

if(UG_FOUND)
  set(UGLIB _DUNE_TARGET_OBJECTS:uggrid_)
endif(UG_FOUND)

# OBJECT is needed since CMake 3.0.0
# but it conflicts with shared libs
set(_OBJECT_FLAG "OBJECT")
if(BUILD_SHARED_LIBS)
  set(_OBJECT_FLAG "")
endif()

dune_add_library(dunegrid
  _DUNE_TARGET_OBJECTS:onedgrid_
  _DUNE_TARGET_OBJECTS:dgfparser_
  _DUNE_TARGET_OBJECTS:dgfparserblocks_
  ${ALULIBS} ${UGLIB}
  ADD_LIBS ${DUNE_LIBS})
add_dune_ug_flags(dunegrid ${_OBJECT_FLAG})
add_dune_alugrid_flags(dunegrid ${_OBJECT_FLAG})

foreach(_dim ${ALBERTA_WORLD_DIMS})
  dune_add_library(dunealbertagrid_${_dim}d
    _DUNE_TARGET_OBJECTS:albertagrid_${_dim}d_
    _DUNE_TARGET_OBJECTS:dgfparser_
    _DUNE_TARGET_OBJECTS:dgfparserblocks_
    ADD_LIBS ${DUNE_LIBS})
  add_dune_alberta_flags(dunealbertagrid_${_dim}d ${_OBJECT_FLAG} GRIDDIM ${_dim})
  list(APPEND DUNE_ALBERTA_LIBS dunealbertagrid_${_dim}d)
endforeach(_dim "${ALBERTA_DIMS}")

install(FILES dunegridam2cmake.lib
  DESTINATION ${CMAKE_INSTALL_BINDIR}/../lib)

=== m4/CMakeLists.txt ===
set(ALLM4S
  alberta.m4
  alugrid.m4
  amiramesh.m4
  dune_experimental_grid_extensions.m4
  dune_extra_utils.m4
  dune_grid.m4
  dune_griddim.m4
  dune_gridtype.m4
  grape.m4
  psurface.m4
  ug.m4)

install(FILES ${ALLM4S}
  DESTINATION ${CMAKE_INSTALL_DATADIR}/aclocal)

=== cmake/modules/CMakeLists.txt ===
set(modules
  AddAlbertaFlags.cmake
  AddALUGridFlags.cmake
  AddAmiraMeshFlags.cmake
  AddGrapeFlags.cmake
  AddPsurfaceFlags.cmake
  CheckExperimentalGridExtensions.cmake
  DuneGridMacros.cmake
  FindAlberta.cmake
  FindALUGrid.cmake
  FindAmiraMesh.cmake
  FindGrape.cmake
  FindPsurface.cmake
  GridType.cmake
  UseUG.cmake)
include(GNUInstallDirs)
install(FILES ${modules} DESTINATION ${DUNE_INSTALL_MODULEDIR})

=== dune/grid/CMakeLists.txt ===
add_subdirectory(common)
add_subdirectory(alugrid)
add_subdirectory(onedgrid)
add_subdirectory(sgrid)
add_subdirectory(uggrid)
add_subdirectory(utility)
add_subdirectory(yaspgrid)
add_subdirectory(io)
add_subdirectory(albertagrid)
add_subdirectory(geometrygrid)
add_subdirectory(test)

if(UG_FOUND)
  set(UGLIB $<TARGET_OBJECTS:uggrid>)
endif(UG_FOUND)



#add_library(grid OBJECT $<TARGET_OBJECTS:onedgrid> ${UGLIB} ${ALULIBS}
# $<TARGET_OBJECTS:dgfparser>)
#  ADD_LIBS ${AMIRAMESHLIB} ${DUNE_LIBS})

set(HEADERS
  albertagrid.hh
  alugrid.hh
  sgrid.hh
  uggrid.hh
  yaspgrid.hh
  onedgrid.hh
  geometrygrid.hh)

install(FILES ${HEADERS}
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/grid)

=== src/gridinfo-gmsh/CMakeLists.txt ===
if(ALBERTA_2D_LIB_FOUND AND ENABLE_GRID_EXTRA_UTILS)
  add_executable(dune-gridinfo-gmsh-alberta-2d gridinfo-gmsh-alberta-2d.cc)
  add_dune_alberta_flags(dune-gridinfo-gmsh-alberta-2d GRIDDIM 2)
  set(PROGRAMS ${PROGRAMS} dune-gridinfo-gmsh-alberta-2d)
endif(ALBERTA_2D_LIB_FOUND AND ENABLE_GRID_EXTRA_UTILS)

if(ALBERTA_3D_LIB_FOUND AND ENABLE_GRID_EXTRA_UTILS)
  add_executable(dune-gridinfo-gmsh-alberta-3d gridinfo-gmsh-alberta-3d.cc)
  add_dune_alberta_flags(dune-gridinfo-gmsh-alberta-3d GRIDDIM 3)
  set(PROGRAMS ${PROGRAMS} dune-gridinfo-gmsh-alberta-3d)
endif(ALBERTA_3D_LIB_FOUND AND ENABLE_GRID_EXTRA_UTILS)

if(ALUGRID_FOUND AND ENABLE_GRID_EXTRA_UTILS)
  add_executable(dune-gridinfo-gmsh-alucube-3d gridinfo-gmsh-alucube-3d.cc)
  add_dune_alugrid_flags(dune-gridinfo-gmsh-alucube-3d)
  add_executable(dune-gridinfo-gmsh-alusimplex-3d gridinfo-gmsh-alusimplex-3d.cc)
  add_dune_alugrid_flags(dune-gridinfo-gmsh-alusimplex-3d)
  add_executable(dune-gridinfo-gmsh-alusimplex-2d gridinfo-gmsh-alusimplex-2d.cc)
  add_dune_alugrid_flags(dune-gridinfo-gmsh-alusimplex-2d)
  set(PROGRAMS ${PROGRAMS} dune-gridinfo-gmsh-alusimplex-2d dune-gridinfo-gmsh-alusimplex-3d dune-gridinfo-gmsh-alucube-3d)
endif(ALUGRID_FOUND AND ENABLE_GRID_EXTRA_UTILS)

if(UG_FOUND AND ENABLE_GRID_EXTRA_UTILS)
  add_executable(dune-gridinfo-gmsh-ug-2d gridinfo-gmsh-ug-2d.cc)
  add_dune_ug_flags(dune-gridinfo-gmsh-ug-2d)
  add_executable(dune-gridinfo-gmsh-ug-3d gridinfo-gmsh-ug-3d.cc)
  add_dune_ug_flags(dune-gridinfo-gmsh-ug-3d)
  set(PROGRAMS ${PROGRAMS} dune-gridinfo-gmsh-ug-2d dune-gridinfo-gmsh-ug-3d)
endif(UG_FOUND AND ENABLE_GRID_EXTRA_UTILS)

if(PROGRAMS)
  install(TARGETS ${PROGRAMS} DESTINATION ${CMAKE_INSTALL_BINDIR})
endif(PROGRAMS)

=== doc/grids/amiramesh/CMakeLists.txt ===
set(AMIRA_GRIDS
  cube-testgrid-3d.am
  hybrid-testgrid-3d.am
  simplex-testgrid-2d.am
  hybrid-testgrid-2d.am
  simplex-testgrid-3d.am)

install(FILES ${AMIRA_GRIDS}
  DESTINATION ${CMAKE_INSTALL_DOCDIR}/grids/amiramesh)

=== doc/grids/dgf/CMakeLists.txt ===
set(GRIDS
  basicunitcube-2d.dgf
  cube-2.dgf
  cube_grid.dgf
  cube-testgrid-2-2.dgf
  cube-testgrid-2-3.dgf
  distorted-cube-3.dgf
  examplegrid10a.dgf
  examplegrid10b.dgf
  examplegrid10.dgf
  examplegrid11.dgf
  examplegrid12.dgf
  examplegrid1c.dgf
  examplegrid1gen.dgf
  examplegrid1s.dgf
  examplegrid2a.dgf
  examplegrid2b.dgf
  examplegrid2c.dgf
  examplegrid2d.dgf
  examplegrid2e.dgf
  examplegrid5.dgf
  examplegrid6.dgf
  examplegrid7.dgf
  examplegrid9.dgf
  example-projection.dgf
  grid2Y.dgf
  grid3A.dgf
  grid3Y.dgf
  helix.dgf
  octahedron.dgf
  simplex-testgrid-1-1.dgf
  simplex-testgrid-1-2.dgf
  simplex-testgrid-2-2.dgf
  simplex-testgrid-1-3.dgf
  simplex-testgrid-2-3.dgf
  simplex-testgrid-3-3.dgf
  simplex-testgrid-3-3-large.dgf
  test1d.dgf
  test1d-vertex.dgf
  test2d.dgf
  test2ug.dgf
  test3d.dgf
  torus-2.dgf
  torus-3.dgf
  unstr_cube.dgf)

install(FILES ${GRIDS}
  DESTINATION ${CMAKE_INSTALL_DOCDIR}/grids/dgf)

=== dune/grid/albertagrid/CMakeLists.txt ===
add_subdirectory(test EXCLUDE_FROM_ALL)

if(ALBERTA_FOUND)
  set(ALBERTAGRID_SOURCES
    dgfparser.cc
    elementinfo.cc
    indexsets.cc
    macrodata.cc
    meshpointer.cc)
  # create dimension dependant alberta libraries
  foreach(_dim ${ALBERTA_WORLD_DIMS})
    list(APPEND ALBERTAGRID_LIBS albertagrid_${_dim}d)
    dune_add_library(albertagrid_${_dim}d OBJECT ${ALBERTAGRID_SOURCES})
  endforeach(_dim RANGE 1 9)
endif(ALBERTA_FOUND)

#install header
set(HEADERS
  agrid.hh
  albertagrid.cc
  albertaheader.hh
  indexsets.hh
  indexstack.hh
  datahandle.hh
  misc.hh
  macroelement.hh
  elementinfo.hh
  geometrycache.hh
  meshpointer.hh
  macrodata.hh
  dofadmin.hh
  dofvector.hh
  refinement.hh
  coordcache.hh
  level.hh
  undefine-2.0.hh
  undefine-3.0.hh
  entity.hh
  entity.cc
  entitypointer.hh
  entityseed.hh
  hierarchiciterator.hh
  algebra.hh
  geometry.hh
  geometry.cc
  projection.hh
  transformation.hh
  leveliterator.hh
  leafiterator.hh
  treeiterator.hh
  intersection.hh
  intersection.cc
  intersectioniterator.hh
  capabilities.hh
  gridfactory.hh
  dgfparser.hh
  albertareader.hh
  gridfamily.hh
  gridview.hh
  persistentcontainer.hh
  backuprestore.hh)

install(FILES ${HEADERS}
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/grid/albertagrid/)

=== dune/grid/common/CMakeLists.txt ===
set(HEADERS
  adaptcallback.hh
  backuprestore.hh
  boundaryprojection.hh
  boundarysegment.hh
  capabilities.hh
  datahandleif.hh
  defaultgridview.hh
  entity.hh
  entityiterator.hh
  entitypointer.hh
  entityseed.hh
  exceptions.hh
  geometry.hh
  geometryreference.hh
  grid.hh
  gridenums.hh
  gridfactory.hh
  gridinfo.hh
  gridview.hh
  hierarchiciterator.hh
  indexidset.hh
  intersection.hh
  intersectioniterator.hh
  leafiterator.hh
  leveliterator.hh
  mcmgmapper.hh
  mapper.hh
  refinement.hh
  sizecache.hh
  scsgmapper.hh
  universalmapper.hh
  virtualrefinement.hh)

add_subdirectory(test EXCLUDE_FROM_ALL)

install(FILES ${HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/grid/common)

=== dune/grid/geometrygrid/CMakeLists.txt ===
set(HEADERS
  backuprestore.hh
  cachedcoordfunction.hh
  capabilities.hh
  cornerstorage.hh
  coordfunction.hh
  coordfunctioncaller.hh
  datahandle.hh
  declaration.hh
  entity.hh
  entitypointer.hh
  entityseed.hh
  geometry.hh
  grid.hh
  gridfamily.hh
  gridview.hh
  hostcorners.hh
  identity.hh
  idset.hh
  indexsets.hh
  intersection.hh
  intersectioniterator.hh
  iterator.hh
  persistentcontainer.hh)

install(FILES ${HEADERS}
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/grid/geometrygrid)

=== dune/grid/onedgrid/CMakeLists.txt ===
set(HEADERS nulliteratorfactory.hh
  onedgridentity.hh
  onedgridentitypointer.hh
  onedgridentityseed.hh
  onedgridfactory.hh
  onedgridgeometry.hh
  onedgridhieriterator.hh
  onedgridindexsets.hh
  onedgridleafiterator.hh
  onedgridleveliterator.hh
  onedgridlist.hh
  onedgridintersections.hh
  onedgridintersectioniterators.hh)

install(FILES ${HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/grid/onedgrid/)

dune_add_library(onedgrid OBJECT
  onedgrid.cc
  onedgridfactory.cc
  nulliteratorfactory.cc)

## dune-grid 2.2.0

=== debian/changelog ===
dune-grid (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 05 Jun 2012 10:43:53 +0200

dune-grid (2.2~svn8040-1) experimental; urgency=low

  * New upstream snapshot.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 06 May 2012 15:34:32 +0200

dune-grid (2.2~svn7990-1) experimental; urgency=low

  * New upstream snapshot.
  * Drop patch geometry-changes.patch: applied upstream.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 10 Apr 2012 21:31:57 +0200

dune-grid (2.2~svn7982-2) experimental; urgency=low

  * Work around make install failing when building only arch:any.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 07 Apr 2012 20:47:27 +0200

dune-grid (2.2~svn7982-1) experimental; urgency=low

  * Initial release. (Closes: #661823)

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 06 Apr 2012 11:31:20 +0200

=== debian/control ===
Source: dune-grid
Section: libs
Priority: optional
Standards-Version: 3.9.3
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/dune-grid.git
Vcs-Git: git://git.debian.org/debian-science/packages/dune-grid.git
Homepage: http://www.dune-project.org/
Build-Depends: debhelper (>= 9),
 automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
 chrpath,
 libdune-common-dev (>= 2.2.0),
 libdune-geometry-dev (>= 2.2.0),
 libalberta2-dev (>= 2.0.1-5),
 libgmp-dev
Build-Depends-Indep: doxygen, ghostscript, texlive-latex-recommended, pgf

Package: libdune-grid-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 libdune-grid-2.2.0 (= ${binary:Version}),
 libdune-common-dev (>= 2.2.0),
 libdune-geometry-dev (>= 2.2.0)
Pre-Depends: dpkg (>= 1.15.6)
Suggests: libdune-grid-dbg (= ${binary:Version})
Description: toolbox for solving PDEs -- grid interface (development files)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the development files for the grid interface.

Package: libdune-grid-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 libdune-grid-2.2.0 (= ${binary:Version})
Pre-Depends: dpkg (>= 1.15.6)
Description: toolbox for solving PDEs -- grid interface (debug symbols)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the debug symbols for the grid interface.

Package: libdune-grid-2.2.0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6)
Description: toolbox for solving PDEs -- grid interface (library)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the library for the grid interface.

Package: libdune-grid-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6)
Description: toolbox for solving PDEs -- grid interface (documentation)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the documentation for the grid interface.

## dune-grid 2.2.1

=== debian/changelog ===
dune-grid (2.2.1-2) unstable; urgency=low

  * Upload to unstable.
  * Bumped Standards-Version to 3.9.4.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 18 May 2013 19:44:57 +0200

dune-grid (2.2.1-1) experimental; urgency=low

  * New upstream release.
  * debian/copyright: Update for new upstream release.
  * Update soname.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 02 Mar 2013 03:02:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dune-grid
 Section: libs
 Priority: optional
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/dune-grid.git
@@ -10,8 +10,8 @@
 Build-Depends: debhelper (>= 9),
  automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
  chrpath,
- libdune-common-dev (>= 2.2.0),
- libdune-geometry-dev (>= 2.2.0),
+ libdune-common-dev (>= 2.2.1),
+ libdune-geometry-dev (>= 2.2.1),
  libalberta2-dev (>= 2.0.1-5),
  libgmp-dev
 Build-Depends-Indep: doxygen, ghostscript, texlive-latex-recommended, pgf
@@ -20,9 +20,9 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-grid-2.2.0 (= ${binary:Version}),
- libdune-common-dev (>= 2.2.0),
- libdune-geometry-dev (>= 2.2.0)
+ libdune-grid-2.2.1 (= ${binary:Version}),
+ libdune-common-dev (>= 2.2.1),
+ libdune-geometry-dev (>= 2.2.1)
 Pre-Depends: dpkg (>= 1.15.6)
 Suggests: libdune-grid-dbg (= ${binary:Version})
 Description: toolbox for solving PDEs -- grid interface (development files)
@@ -38,7 +38,7 @@
 Priority: extra
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-grid-2.2.0 (= ${binary:Version})
+ libdune-grid-2.2.1 (= ${binary:Version})
 Pre-Depends: dpkg (>= 1.15.6)
 Description: toolbox for solving PDEs -- grid interface (debug symbols)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
@@ -48,7 +48,7 @@
  .
  This package contains the debug symbols for the grid interface.
 
-Package: libdune-grid-2.2.0
+Package: libdune-grid-2.2.1
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6)

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dune/dune-debian.mk

%:
	dh $@ --parallel

override_dh_auto_install-arch:
	set -e; for d in dune lib m4 src; do \
	  $(MAKE) -C $$d install DESTDIR="$(CURDIR)/debian/tmp"; \
	done
	$(MAKE) install-data-am install-exec-am DESTDIR="$(CURDIR)/debian/tmp"
	mkdir doc/doxygen/html
	$(MAKE) -C doc/doxygen install-data-am DESTDIR="$(CURDIR)/debian/tmp"
	find debian/tmp -name "*.so" -exec chrpath --delete "{}" \;

override_dh_auto_install-indep:
	$(MAKE) -C doc install DESTDIR="$(CURDIR)/debian/tmp"

override_dh_strip:
	dh_strip --dbg-package=libdune-grid-dbg

## dune-grid 2.3.1

=== debian/changelog ===
dune-grid (2.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 17 Jun 2014 20:02:30 +0200

dune-grid (2.3.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Add Build-Depends on libug-dev for UG support.
  * Change (Build-)Depends on libalberta2-dev to libalberta-dev.
  * Add Multi-Arch fields for library, debug and documentation packages.
  * Change shared library package name to libdune-grid-2.3.1.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 10 Jun 2014 21:03:32 +0200

dune-grid (2.3.0-2) unstable; urgency=medium

  * Install /usr/share/dune-grid.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 14 Feb 2014 10:49:16 +0100

dune-grid (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Change shared library package name to libdune-grid-2.3.0.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 14 Feb 2014 09:52:41 +0100

dune-grid (2.3~20140117beta2-1) experimental; urgency=medium

  * New upstream snapshot.
  * libdune-grid-dev.install: Install /usr/lib/*/cmake.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 20 Jan 2014 23:34:34 +0100

dune-grid (2.3~20140110beta1-1) experimental; urgency=medium

  * New upstream snapshot.
  * debian/control: Remove ${shlibs:Depends} from -dev and -dbg package.
  * Install cmake modules. Note that it is still not possible to use
    cmake with the Debian packages.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 15 Jan 2014 14:31:55 +0100

dune-grid (2.3~20140101g16be0c0-1) experimental; urgency=medium

  * New upstream snapshot.
  * Bumped Standards-Version to 3.9.5 (no changes).
  * Drop install-grids-as-doc.patch (applied upstream).
  * Change shared library package name to libdune-grid-2.3svn.
  * Drop pre-depends on dpkg (>= 1.15.6) which is already satisfied in
    Debian 6.
  * debian/control: Use canonical Vcs-* URIs.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 01 Jan 2014 19:56:24 +0100

=== debian/control ===
Source: dune-grid
Section: libs
Priority: optional
Standards-Version: 3.9.5
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/dune-grid.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/dune-grid.git
Homepage: http://www.dune-project.org/
Build-Depends: debhelper (>= 9),
 automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
 chrpath,
 libdune-common-dev (>= 2.3.1),
 libdune-geometry-dev (>= 2.3.1),
 libalberta-dev (>= 2.0.1-5),
 libgmp-dev,
 libug-dev
Build-Depends-Indep: doxygen, ghostscript, texlive-latex-recommended, pgf

Package: libdune-grid-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libdune-grid-2.3.1 (= ${binary:Version}),
 libdune-common-dev (>= 2.3.1),
 libdune-geometry-dev (>= 2.3.1),
 libalberta-dev (>= 2.0.1-5),
 libug-dev
Suggests: libdune-grid-dbg (= ${binary:Version})
Description: toolbox for solving PDEs -- grid interface (development files)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the development files for the grid interface.

Package: libdune-grid-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 libdune-grid-2.3.1 (= ${binary:Version})
Description: toolbox for solving PDEs -- grid interface (debug symbols)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the debug symbols for the grid interface.

Package: libdune-grid-2.3.1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: toolbox for solving PDEs -- grid interface (library)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the library for the grid interface.

Package: libdune-grid-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: toolbox for solving PDEs -- grid interface (documentation)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the documentation for the grid interface.

## dune-grid 2.4.0

=== dune/grid/test/CMakeLists.txt ===
if(ALBERTA_FOUND)
  set(ALBERTA_PROGRAMS
    test-alberta
    test-alberta-1-1
    test-alberta-1-2
    test-alberta-2-2
    test-alberta-1-3
    test-alberta-2-3
    test-alberta-3-3
    test-alberta-generic)
endif(ALBERTA_FOUND)

if(ALUGRID_FOUND)
  set(ALUGRID_PROGRAMS test-alugrid)
endif(ALUGRID_FOUND)

if(UG_FOUND)
  set(UG_PROGRAMS
    test-ug
    test-parallel-ug)
endif(UG_FOUND)

if(UG_FOUND AND ALUGRID_FOUND)
  set(DGFALUGRID_UG_PROGRAMS test-dgfalu-uggrid-combination)
endif(UG_FOUND AND ALUGRID_FOUND)
set(GRIDDIM 2)
set(WORLDDIM 2)

#
## Some parameters for the geogrid test
#
set(COORDFUNCTION "IdenticalCoordFunction<double,${GRIDDIM}>")
# set(COORDFUNCTION "Helix")
# set(COORDFUNCTION  "ThickHelix")
# set(COORDFUNCTION "DGFCoordFunction\\<${GRIDDIM},${GRIDDIM}\\>")
# set(COORDFUNCTION "DGFCoordFunction\\<2,3\\>")
set(CACHECOORDFUNCTION 0)

#
## define the lists of tests to build and run
#

# tests where program to build and program to run are equal
set(TESTS
  test-geogrid test-identitygrid test-oned test-sgrid test-yaspgrid
  ${ALBERTA_PROGRAMS} ${ALUGRID_PROGRAMS} ${UG_PROGRAMS}
  ${DGFALUGRID_UG_PROGRAMS} test-mcmg-geogrid
  testiteratorranges test-hierarchicsearch)

set_property(DIRECTORY APPEND PROPERTY
  COMPILE_DEFINITIONS "DUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\"")

add_executable(test-geogrid EXCLUDE_FROM_ALL test-geogrid.cc)
add_executable(test-identitygrid EXCLUDE_FROM_ALL test-identitygrid.cc)
add_executable(test-oned EXCLUDE_FROM_ALL test-oned.cc)
add_executable(test-mcmg-geogrid EXCLUDE_FROM_ALL test-mcmg-geogrid.cc)
add_executable(test-sgrid EXCLUDE_FROM_ALL test-sgrid.cc)
add_executable(test-yaspgrid EXCLUDE_FROM_ALL test-yaspgrid.cc)
add_dune_mpi_flags(test-yaspgrid)

set_property(TARGET test-sgrid test-oned test-yaspgrid test-geogrid APPEND
  PROPERTY COMPILE_DEFINITIONS "GRIDDIM=${GRIDDIM}" "WORLDDIM=${GRIDDIM}" "YASPGRID")

set_property(TARGET test-geogrid APPEND PROPERTY COMPILE_DEFINITIONS
  COORDFUNCTION=${COORDFUNCTION} CACHECOORDFUNCTION=${CACHECOORDFUNCTION})

if(ALBERTA_FOUND)
  add_executable(test-alberta EXCLUDE_FROM_ALL test-alberta.cc)
  add_dune_alberta_flags(test-alberta WORLDDIM ${GRIDDIM})
  add_executable(test-alberta-1-1 EXCLUDE_FROM_ALL test-alberta.cc)
  add_dune_alberta_flags(test-alberta-1-1 GRIDDIM 1 WORLDDIM 1)
  add_executable(test-alberta-1-1-no-deprecated EXCLUDE_FROM_ALL test-alberta.cc)
  add_dune_alberta_flags(test-alberta-1-1-no-deprecated GRIDDIM 1 WORLDDIM 1)
  set_property(TARGET test-alberta-1-1-no-deprecated APPEND PROPERTY COMPILE_DEFINITIONS
    DISABLE_DEPRECATED_METHOD_CHECK=1)
  add_executable(test-alberta-1-2 EXCLUDE_FROM_ALL test-alberta.cc)
  add_dune_alberta_flags(test-alberta-1-2 WORLDDIM 2)
  add_executable(test-alberta-2-2 EXCLUDE_FROM_ALL test-alberta.cc)
  add_dune_alberta_flags(test-alberta-2-2 WORLDDIM 2)
  add_executable(test-alberta-1-3 EXCLUDE_FROM_ALL test-alberta.cc)
  add_dune_alberta_flags(test-alberta-1-3 WORLDDIM 3)
  add_executable(test-alberta-2-3 EXCLUDE_FROM_ALL test-alberta.cc)
  add_dune_alberta_flags(test-alberta-2-3 WORLDDIM 3)
  add_executable(test-alberta-3-3 EXCLUDE_FROM_ALL test-alberta.cc)
  add_dune_alberta_flags(test-alberta-3-3 WORLDDIM 3)
  add_executable(test-alberta-generic EXCLUDE_FROM_ALL test-alberta.cc)
  add_dune_alberta_flags(test-alberta-generic USE_GENERIC WORLDDIM 2)
endif(ALBERTA_FOUND)

if(ALUGRID_FOUND)
  add_executable(test-alugrid EXCLUDE_FROM_ALL test-alugrid.cc)
  add_dune_alugrid_flags(test-alugrid)
endif(ALUGRID_FOUND)

if(UG_FOUND)
  add_executable(test-ug EXCLUDE_FROM_ALL test-ug.cc)
  add_dune_ug_flags(test-ug)
  add_executable(test-parallel-ug EXCLUDE_FROM_ALL test-parallel-ug.cc)
  add_dune_ug_flags(test-parallel-ug)
  # test-loadbalancing
  add_executable(test-loadbalancing EXCLUDE_FROM_ALL test-loadbalancing.cc)
  add_dune_ug_flags(test-loadbalancing)
  add_dune_parmetis_flags(test-loadbalancing)
endif(UG_FOUND)

if(ALUGRID_FOUND AND UG_FOUND)
  add_executable(test-dgfalu-uggrid-combination EXCLUDE_FROM_ALL test-dgfalu-uggrid-combination.cc)
  add_dune_ug_flags(test-dgfalu-uggrid-combination)
  add_dune_alugrid_flags(test-dgfalu-uggrid-combination)
endif(ALUGRID_FOUND AND UG_FOUND)

add_executable(testiteratorranges EXCLUDE_FROM_ALL testiteratorranges.cc)
add_dune_mpi_flags(testiteratorranges)

add_executable(test-hierarchicsearch EXCLUDE_FROM_ALL test-hierarchicsearch.cc)
add_dune_mpi_flags(test-hierarchicsearch)


# tell gridcheck to use old entity and intersections interface for unported grids
set_property(TARGET
  ${ALUGRID_PROGRAMS}
  APPEND PROPERTY COMPILE_DEFINITIONS "DUNE_GRID_CHECK_USE_DEPRECATED_ENTITY_AND_INTERSECTION_INTERFACE"
  )


foreach(_exe ${TESTS})
  target_link_libraries(${_exe} "dunegrid" ${DUNE_LIBS})
  add_test(${_exe} ${_exe})
endforeach(_exe ${TESTS})

# We do not want want to build the tests during make all,
# but just build them on demand
add_directory_test_target(_test_target)
add_dependencies(${_test_target} ${TESTS})

# define HAVE_DUNE_GRID for the dgfparser
set_property(TARGET ${TESTS} APPEND PROPERTY
  COMPILE_DEFINITIONS HAVE_DUNE_GRID=1)

set(SOURCES
  basicunitcube.hh
  check-albertareader.cc
  check-albertareader.hh
  checkadaptation.cc
  checkadaptation.hh
  checkcommunicate.cc
  checkcommunicate.hh
  checkentitylifetime.hh
  checkentityseed.cc
  checkentityseed.hh
  checkgeometry.cc
  checkgeometry.hh
  checkgeometryinfather.cc
  checkgeometryinfather.hh
  checkindexset.cc
  checkindexset.hh
  checkintersectionit.cc
  checkintersectionit.hh
  checkintersectionlifetime.hh
  checkiterators.cc
  checkiterators.hh
  checkjacobians.cc
  checkjacobians.hh
  checkpartition.cc
  checkpartition.hh
  checktwists.cc
  checktwists.hh
  functions.hh
  gridcheck.cc
  gridcheck.hh
  staticcheck.hh)

# install the tests as we want to support testing 3rdparty grids with installed dune-grid
install(FILES ${SOURCES} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/grid/test)

# clean up additional files during make clean. Unfortunately it is not possible with
# cmake to use search patterns here. Automake wanted to clean the following files:
# *.gcda *.gcno semantic.cache simplex-testgrid*.dgf.* cube-testgrid*.dgf.* dgfparser.log
# add files to the list as they appear.
set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "semantic.cache;dgfparser.log")

=== dune/grid/io/file/test/CMakeLists.txt ===
set(GRIDDIM 2)
set(GRIDTYPE YASPGRID)
add_definitions("-DDUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\"")

set(TESTS
  gmshtest
  gnuplottest)

set(CONSISTENT_VTK_TESTS
  conformvolumevtktest
  nonconformboundaryvtktest
  vtktest
  vtksequencetest)

set(VTK_TESTS ${CONSISTENT_VTK_TESTS} subsamplingvtktest)

if(AMIRAMESH_FOUND AND PSURFACE_FOUND)
  set(AMIRAMESH_TESTS amirameshtest)
endif(AMIRAMESH_FOUND AND PSURFACE_FOUND)

if(ALBERTA_FOUND)
  set(ALBERTA_TESTS gmshtest-alberta2d gmshtest-alberta3d)
endif(ALBERTA_FOUND)

if(ALUGRID_FOUND)
  set(ALUGRID_TESTS gmshtest-alugrid)
endif(ALUGRID_FOUND)

if(UG_FOUND)
  set(UG_TESTS starcdreadertest)
endif(UG_FOUND)

set(BUILD_TESTS ${TESTS} ${UG_TESTS} ${CONSISTENT_VTK_TESTS} ${AMIRAMESH_TESTS})
set(ALLTESTS ${BUILD_TESTS}  ${ALUGRID_TESTS} ${ALBERTA_TESTS})

foreach(_test ${BUILD_TESTS})
  add_executable(${_test} ${_test}.cc)
  target_link_libraries(${_test} dunegrid ${DUNE_LIBS})
endforeach(_test ${BUILD_TESTS})

add_executable(subsamplingvtktest subsamplingvtktest.cc test-linking.cc)
target_link_libraries(subsamplingvtktest dunegrid ${DUNE_LIBS})

foreach(_test ${ALLTESTS})
  add_test(${_test} ${_test})
endforeach(_test ${ALLTESTS})

if(MPI_FOUND)
  add_test(NAME mpivtktest WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMAND mpirun -np 2 ./vtktest)
  set_tests_properties(mpivtktest PROPERTIES SKIP_RETURN_CODE 77)
endif(MPI_FOUND)

foreach(_test ${AMIRAMESH_TESTS})
  add_dune_amiramesh_flags(${_test})
  add_dune_ug_flags(${_test})
  add_dune_alugrid_flags(${_test})
  add_dune_alberta_flags(${_test} GRIDDIM 2)
  add_dune_psurface_flags(${_test})
endforeach(_test ${AMIRAMESH_TESTS})

add_dune_mpi_flags(${VTK_TESTS})

add_executable(gmshtest-alugrid gmshtest.cc)
set_property(
  TARGET gmshtest-alugrid
  APPEND PROPERTY COMPILE_DEFINITIONS "DUNE_GRID_CHECK_USE_DEPRECATED_ENTITY_AND_INTERSECTION_INTERFACE"
  )
add_dune_alugrid_flags(gmshtest-alugrid)

add_executable(gmshtest-alberta2d gmshtest.cc)
add_dune_alberta_flags(gmshtest-alberta2d WORLDDIM 2)
add_dune_grape_flags(gmshtest-alberta2d)

add_executable(gmshtest-alberta3d gmshtest.cc)
add_dune_alberta_flags(gmshtest-alberta3d WORLDDIM 3)
add_dune_grape_flags(gmshtest-alberta3d)

set_tests_properties(vtktest PROPERTIES SKIP_RETURN_CODE 77)

foreach(_test ${UG_TESTS})
  add_dune_ug_flags(${_test})
endforeach(_test ${UG_TESTS})

# We do not want want to build the tests during make all,
# but just build them on demand
add_directory_test_target(_test_target)
add_dependencies(${_test_target} ${ALLTESTS})

=== dune/grid/io/file/dgfparser/test/CMakeLists.txt ===
add_definitions(-DDUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\")

set(TESTS test-dgf-sgrid test-dgf-yasp test-dgf-oned)

if(ALUGRID_FOUND)
  list(APPEND TESTS test-dgf-alu)
endif(ALUGRID_FOUND)

if(ALBERTA_FOUND)
  list(APPEND TESTS test-dgf-alberta)
endif(ALBERTA_FOUND)

if(UG_FOUND)
  list(APPEND TESTS test-dgf-ug)
endif(UG_FOUND)

foreach(_test ${TESTS})
  add_executable(${_test} test-dgf.cc)
  target_link_libraries(${_test} dunegrid ${DUNE_LIBS})
  add_test(${_test} ${_test})
endforeach(_test ${TESTS})

# test-dgf-sgrid
set_property(TARGET test-dgf-sgrid APPEND PROPERTY
    COMPILE_DEFINITIONS GRIDDIM=3 SGRID HAVE_DUNE_GRID=1)
# test-dgf-yasp
set_property(TARGET test-dgf-yasp APPEND PROPERTY
    COMPILE_DEFINITIONS GRIDDIM=3 YASPGRID HAVE_DUNE_GRID=1)
# test-dgf-yasp-offset
add_executable(test-dgf-yasp-offset test-dgf.cc)
target_link_libraries(test-dgf-yasp-offset dunegrid ${DUNE_LIBS})
add_test(NAME test-dgf-yasp-offset
  COMMAND test-dgf-yasp-offset "${PROJECT_SOURCE_DIR}/doc/grids/dgf/test2d_offset.dgf")
set(gridtypeOffset "YaspGrid<2,EquidistantOffsetCoordinates<double,2>>")
set_property(TARGET test-dgf-yasp-offset
  APPEND PROPERTY
  COMPILE_DEFINITIONS GRIDDIM=3 YASPGRID HAVE_DUNE_GRID=1
    COMPLETE_GRID_TYPE=${gridtypeOffset})
# test-dgf-oned
set_property(TARGET test-dgf-oned APPEND PROPERTY
    COMPILE_DEFINITIONS GRIDDIM=1 ONEDGRID HAVE_DUNE_GRID=1)

if(ALUGRID_FOUND)
  add_dune_alugrid_flags(test-dgf-alu)
  set_property(TARGET test-dgf-alu APPEND PROPERTY
    COMPILE_DEFINITIONS ALUGRID_CUBE GRIDDIM=3 HAVE_DUNE_GRID=1)
endif(ALUGRID_FOUND)

if(ALBERTA_FOUND)
  add_dune_alberta_flags(test-dgf-alberta GRIDDIM 2 WORLDDIM 2)
  set_property(TARGET test-dgf-alberta APPEND PROPERTY
    COMPILE_DEFINITIONS ALBERTAGRID GRIDDIM=2  HAVE_DUNE_GRID=1)
endif(ALBERTA_FOUND)

if(UG_FOUND)
  add_dune_ug_flags(test-dgf-ug)
  set_property(TARGET test-dgf-ug APPEND PROPERTY
    COMPILE_DEFINITIONS UGGRID GRIDDIM=3  HAVE_DUNE_GRID=1)
endif(UG_FOUND)

foreach(_test ${TESTS})
  add_dune_mpi_flags(${_test})
endforeach(_test ${TESTS})

# We do not want want to build the tests during make all,
# but just build them on demand
add_directory_test_target(_test_target)
add_dependencies(${_test_target} ${TESTS} test-dgf-yasp-offset)

=== debian/changelog ===
dune-grid (2.4.0-2) unstable; urgency=medium

  * Backport patches from upstream stable release branch.
    + FindAlberta.cmake and FindGrape.cmake should work with current
      versions of CMake.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 26 Jan 2016 09:19:10 +0100

dune-grid (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * (Build-)Depend on last DUNE upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 25 Sep 2015 22:45:01 +0200

dune-grid (2.4~20150912rc3-1) unstable; urgency=medium

  * New upstream release candidate.
  * (Build-)Depend on last DUNE upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 13 Sep 2015 14:15:36 +0200

dune-grid (2.4~20150825rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * (Build-)Depend on last DUNE upload.
  * Move shared library into -dev package and provide a virtual package
    that changes with the upstream version for shlib dependencies. See
    also https://lists.debian.org/debian-devel/2015/07/msg00115.html
  * libdune-grid-dev: Add -doc package as a suggested package.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 05 Sep 2015 16:23:56 +0200

dune-grid (2.4~20150717rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * (Build-)Depend on last DUNE upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 17 Jul 2015 21:24:29 +0200

dune-grid (2.4~20150616g0a6236e-1) experimental; urgency=medium

  * New upstream snapshot.
  * (Build-)Depend on last DUNE upload.
  * (Build-)Depend on last UG release.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 20 Jun 2015 00:34:52 +0200

dune-grid (2.4~20150506gd3c1350-1) experimental; urgency=medium

  * New upstream snapshot.
  * Change shared library package name to libdune-grid-2.4git.
  * debian/copyright: Update for new upstream snapshot.
  * (Build-)Depend on last DUNE upload.
  * Add Build-Depends-Indep: graphviz for "dot".
  * Install documentation to correct location.
  * Bumped Standards-Version to 3.9.6.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 06 May 2015 00:49:10 +0200

=== debian/control ===
Source: dune-grid
Section: libs
Priority: optional
Standards-Version: 3.9.6
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-grid.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-grid.git
Homepage: http://www.dune-project.org/
Build-Depends: debhelper (>= 9),
 automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
 chrpath,
 libdune-common-dev (>= 2.4.0),
 libdune-geometry-dev (>= 2.4.0),
 libalberta-dev (>= 2.0.1-5),
 libgmp-dev,
 libug-dev (>= 3.12.1)
Build-Depends-Indep: doxygen, ghostscript, graphviz, texlive-latex-recommended, pgf

Package: libdune-grid-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 libdune-common-dev (>= 2.4.0),
 libdune-geometry-dev (>= 2.4.0),
 libalberta-dev (>= 2.0.1-5),
 libug-dev (>= 3.12.1)
Suggests: libdune-grid-dbg (= ${binary:Version}),
 libdune-grid-doc (= ${source:Version})
Provides: ${dune:shared-library}
Description: toolbox for solving PDEs -- grid interface (development files)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the development files for the grid interface.

Package: libdune-grid-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 libdune-grid-dev (= ${binary:Version})
Description: toolbox for solving PDEs -- grid interface (debug symbols)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the debug symbols for the grid interface.

Package: libdune-grid-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: toolbox for solving PDEs -- grid interface (documentation)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the documentation for the grid interface.

## dune-grid 2.4.1~rc2

=== debian/changelog ===
dune-grid (2.4.1~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop patches that were backported from upstream.
  * (Build-)Depend on last DUNE upload.
  * Mark libdune-grid-dev as Multi-Arch: same.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 28 Feb 2016 15:04:03 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Build-Depends: debhelper (>= 9),
  automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
  chrpath,
- libdune-common-dev (>= 2.4.0),
- libdune-geometry-dev (>= 2.4.0),
+ libdune-common-dev (>= 2.4.1~rc2),
+ libdune-geometry-dev (>= 2.4.1~rc2),
  libalberta-dev (>= 2.0.1-5),
  libgmp-dev,
  libug-dev (>= 3.12.1)
@@ -20,9 +20,10 @@
 Package: libdune-grid-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.4.0),
- libdune-geometry-dev (>= 2.4.0),
+ libdune-common-dev (>= 2.4.1~rc2),
+ libdune-geometry-dev (>= 2.4.1~rc2),
  libalberta-dev (>= 2.0.1-5),
  libug-dev (>= 3.12.1)
 Suggests: libdune-grid-dbg (= ${binary:Version}),

## dune-grid 2.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,5 +28,9 @@
 add_subdirectory("src")
 add_subdirectory("cmake/modules")
 
+# Use a  custom section to export path to the grid examples.
+set(DUNE_CUSTOM_PKG_CONFIG_SECTION "#Export the directory with the grid example for downstream modules
+set(DUNE_GRID_EXAMPLE_GRIDS_PATH \"@DUNE_MODULE_SRC_DOCDIR@/grids/\")
+")
 # finalize the dune project, e.g. generating config.h etc.
 finalize_dune_project(GENERATE_CONFIG_H_CMAKE)

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -18,18 +18,20 @@
   _DUNE_TARGET_OBJECTS:dgfparserblocks_
   ${ALULIBS} ${UGLIB}
   ADD_LIBS ${DUNE_LIBS})
-add_dune_ug_flags(dunegrid ${_OBJECT_FLAG})
-add_dune_alugrid_flags(dunegrid ${_OBJECT_FLAG})
+add_dune_ug_flags(dunegrid ${_OBJECT_FLAG} NO_LINK_DUNEGRID)
+add_dune_alugrid_flags(dunegrid ${_OBJECT_FLAG} NO_LINK_DUNEGRID)
 
+if(ALBERTA_FOUND)
 foreach(_dim ${ALBERTA_WORLD_DIMS})
   dune_add_library(dunealbertagrid_${_dim}d
     _DUNE_TARGET_OBJECTS:albertagrid_${_dim}d_
     _DUNE_TARGET_OBJECTS:dgfparser_
     _DUNE_TARGET_OBJECTS:dgfparserblocks_
     ADD_LIBS ${DUNE_LIBS})
-  add_dune_alberta_flags(dunealbertagrid_${_dim}d ${_OBJECT_FLAG} GRIDDIM ${_dim})
+  add_dune_alberta_flags(dunealbertagrid_${_dim}d ${_OBJECT_FLAG} NO_LINK_DUNEALBERTAGRID GRIDDIM ${_dim})
   list(APPEND DUNE_ALBERTA_LIBS dunealbertagrid_${_dim}d)
 endforeach(_dim "${ALBERTA_DIMS}")
+endif(ALBERTA_FOUND)
 
 install(FILES dunegridam2cmake.lib
   DESTINATION ${CMAKE_INSTALL_BINDIR}/../lib)

=== src/CMakeLists.txt ===
add_subdirectory(alu-to-vtk)
add_subdirectory(gmsh-to-alu)
add_subdirectory(gridinfo-gmsh)
add_subdirectory(structured-to-alu)

=== dune/grid/CMakeLists.txt ===
add_subdirectory(albertagrid)
add_subdirectory(alugrid)
add_subdirectory(common)
add_subdirectory(geometrygrid)
add_subdirectory(identitygrid)
add_subdirectory(io)
add_subdirectory(onedgrid)
add_subdirectory(sgrid)
add_subdirectory(test)
add_subdirectory(uggrid)
add_subdirectory(utility)
add_subdirectory(yaspgrid)

if(UG_FOUND)
  set(UGLIB $<TARGET_OBJECTS:uggrid>)
endif(UG_FOUND)

set(HEADERS
  albertagrid.hh
  alugrid.hh
  geometrygrid.hh
  identitygrid.hh
  onedgrid.hh
  sgrid.hh
  uggrid.hh
  yaspgrid.hh)

install(FILES ${HEADERS}
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/grid)

=== src/alu-to-vtk/CMakeLists.txt ===
exclude_from_headercheck(main-volume.hh)

if(ALUGRID_FOUND AND ENABLE_GRID_EXTRA_UTILS)
add_executable(dune-alusimplex-3d-to-vtk-volume alusimplex-3d-volume.cc)
add_executable(dune-alucube-3d-to-vtk-volume alucube-3d-volume.cc)
add_dune_alugrid_flags(dune-alusimplex-3d-to-vtk-volume)
add_dune_alugrid_flags(dune-alucube-3d-to-vtk-volume)
install(TARGETS dune-alusimplex-3d-to-vtk-volume dune-alucube-3d-to-vtk-volume
  DESTINATION ${CMAKE_INSTALL_BINDIR})
message(AUTHOR_WARNING "TODO: Check whether dune-gmsh-to-alusimplex-3d dune-gmsh-to-alucube-3dis handled correctly")
endif(ALUGRID_FOUND AND ENABLE_GRID_EXTRA_UTILS)

=== src/gmsh-to-alu/CMakeLists.txt ===
exclude_from_headercheck(main.hh)

if(ALUGRID_FOUND AND ENABLE_GRID_EXTRA_UTILS)
add_executable(dune-gmsh-to-alusimplex-3d alusimplex-3d.cc)
add_executable(dune-gmsh-to-alucube-3d alucube-3d.cc)
add_dune_alugrid_flags(dune-gmsh-to-alusimplex-3d)
add_dune_alugrid_flags(dune-gmsh-to-alucube-3d)
install(TARGETS dune-gmsh-to-alusimplex-3d dune-gmsh-to-alucube-3d
  DESTINATION ${CMAKE_INSTALL_BINDIR})
message(AUTHOR_WARNING "TODO: Check whether dune-gmsh-to-alusimplex-3d dune-gmsh-to-alucube-3dis handled correctly")
endif(ALUGRID_FOUND AND ENABLE_GRID_EXTRA_UTILS)

=== src/structured-to-alu/CMakeLists.txt ===
exclude_from_headercheck(main.hh)

if(ALUGRID_FOUND AND ENABLE_GRID_EXTRA_UTILS)
add_executable(dune-structured-to-alusimplex-3d alusimplex-3d.cc)
add_dune_alugrid_flags(dune-structured-to-alusimplex-3d)
install(TARGETS dune-structured-to-alusimplex-3d DESTINATION ${CMAKE_INSTALL_BINDIR})
message(AUTHOR_WARNING "TODO: Check whether dune-structured-to-alusimplex-3d is handled correctly")
endif(ALUGRID_FOUND AND ENABLE_GRID_EXTRA_UTILS)

=== doc/grids/gridfactory/CMakeLists.txt ===
install(FILES hybridtestgrids.hh
  DESTINATION ${CMAKE_INSTALL_DOCDIR}/grids/gridfactory)

=== dune/grid/albertagrid/CMakeLists.txt ===
--- 
+++ 
@@ -58,7 +58,8 @@
   gridfamily.hh
   gridview.hh
   persistentcontainer.hh
-  backuprestore.hh)
+  backuprestore.hh
+  geometryreference.hh)
 
 install(FILES ${HEADERS}
   DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/grid/albertagrid/)

=== dune/grid/alugrid/CMakeLists.txt ===
add_subdirectory(common)
add_subdirectory(2d)
add_subdirectory(3d)

=== dune/grid/common/CMakeLists.txt ===
--- 
+++ 
@@ -12,25 +12,21 @@
   entityseed.hh
   exceptions.hh
   geometry.hh
-  geometryreference.hh
   grid.hh
   gridenums.hh
   gridfactory.hh
   gridinfo.hh
   gridview.hh
-  hierarchiciterator.hh
   indexidset.hh
   intersection.hh
   intersectioniterator.hh
-  leafiterator.hh
-  leveliterator.hh
   mcmgmapper.hh
   mapper.hh
-  refinement.hh
+  partitionset.hh
+  rangegenerators.hh
   sizecache.hh
   scsgmapper.hh
-  universalmapper.hh
-  virtualrefinement.hh)
+  universalmapper.hh)
 
 add_subdirectory(test EXCLUDE_FROM_ALL)

=== dune/grid/identitygrid/CMakeLists.txt ===
set(HEADERS
  identitygridentity.hh
  identitygridentitypointer.hh
  identitygridentityseed.hh
  identitygridhierarchiciterator.hh
  identitygridgeometry.hh
  identitygridintersectioniterator.hh
  identitygridintersections.hh
  identitygridindexsets.hh
  identitygridleafiterator.hh
  identitygridleveliterator.hh)

install(FILES ${HEADERS}
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/grid/identitygrid)

=== debian/changelog ===
dune-grid (2.4.1-1) unstable; urgency=medium

  * New upstream release.
  * (Build-)Depend on last DUNE upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 29 Feb 2016 10:42:07 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Build-Depends: debhelper (>= 9),
  automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
  chrpath,
- libdune-common-dev (>= 2.4.1~rc2),
- libdune-geometry-dev (>= 2.4.1~rc2),
+ libdune-common-dev (>= 2.4.1),
+ libdune-geometry-dev (>= 2.4.1),
  libalberta-dev (>= 2.0.1-5),
  libgmp-dev,
  libug-dev (>= 3.12.1)
@@ -22,8 +22,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.4.1~rc2),
- libdune-geometry-dev (>= 2.4.1~rc2),
+ libdune-common-dev (>= 2.4.1),
+ libdune-geometry-dev (>= 2.4.1),
  libalberta-dev (>= 2.0.1-5),
  libug-dev (>= 3.12.1)
 Suggests: libdune-grid-dbg (= ${binary:Version}),

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	dh $@ --parallel
 
 override_dh_auto_install-arch:
-	set -e; for d in dune lib m4 src; do \
+	set -e; for d in cmake dune lib m4 src; do \
 	  $(MAKE) -C $$d install DESTDIR="$(CURDIR)/debian/tmp"; \
 	done
 	$(MAKE) install-data-am install-exec-am DESTDIR="$(CURDIR)/debian/tmp"
